Add Event Definition Details
post
/config/sim/v2/setup/eventDefinitions/details
Adds one revenue center assignment or one event area assignment to an existing Event Definition. Exactly one of areaObjectNum or rvcId must be supplied.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Event Definition Detail insert request body. Exactly one of areaObjectNum or rvcId must be supplied.
Root Schema : schema
Type:
Show Source
object-
areaObjectNum:
integer
Event Area object number for an event area assignment. Do not send with rvcId.Example:
3 -
hierUnitId(required):
integer
Unique hierarchy unit value of the parent Event Definition.Example:
3599 -
objectNum(required):
integer
Object number of the parent Event Definition.Example:
10 -
rvcId:
integer
Revenue Center ID for a revenue center assignment. Do not send with areaObjectNum.Example:
101
Response
Supported Media Types
- application/json
200 Response
Event Definition Detail added. The response includes either areaObjectNum or rvcId based on the assignment type.
Root Schema : schema
Type:
Show Source
object-
areaObjectNum:
integer
Event Area object number. Returned for event area assignments.Example:
3 -
hierUnitId:
integer
Unique hierarchy unit value of the parent Event Definition.Example:
3599 -
objectNum:
integer
Object number of the parent Event Definition.Example:
10 -
rvcId:
integer
Revenue Center ID. Returned for revenue center assignments.Example:
101